Bug 34533 - ibmtr_cs loads but tr0 fails, ifconifg hangs
ibmtr_cs loads but tr0 fails, ifconifg hangs
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-04-03 13:44 EDT by Scott Russell
Modified: 2007-04-18 12:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-04-18 08:41:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Scott Russell 2001-04-03 13:44:03 EDT
ThinkPad T20/T21 with IBM TR Auto 16/4 PCMCIA adapter. 
RC2 qa0401 build, fresh install
Network setup with static IP for tr0.

1) Boot system leaving tr pcmcia out of slot
2) Login root, lsmod shows ibmtr_cs not loaded
3) Insert token ring pcmcia card into slot 0
4) In /var/log/messages I see:

   Apr  3 13:32:15 lilo cardmgr[563]: initializing socket 0
   Apr  3 13:32:15 lilo cardmgr[563]: socket 0: IBM Token Ring Adapter
   Apr  3 13:32:16 lilo cardmgr[563]: executing: 'modprobe ibmtr_cs        
                   mmiobase=0xd0000 srambase=0x4000'

5) Running lsmod now shows ibmtr_cs loaded.
6) Try running /sbin/ifconfig to view interfaces will hang ifconifg. Other
   VTs are still accessable at this point.

7) Switch to VT3 (ctrl-alt-f3), login root, try kill -9 ifconfig. Nothing 
   happens. Kill the login that works but ifconfig is still running.
8) Do something drastic and eject socket 0. drastic results kernel panic.

io mapaddr 0x800d1e18 no valid at ../tokenring/ibmtr.c:919!
Unable to handle kernel paging request at virtual address 400d1e18
Printing eip: d1089896

Oops: 0000
CPU: n0
Eip: 0010:[<d1089896>]
Eflags: 00010286

Nothing to do but power off at this point. I omitted alot of the trap info
above to save my fingers but if you really need it ask. This is easy to
Comment 1 Scott Russell 2001-04-03 15:32:00 EDT
More T/R troubles with olympic and IBM PCI Token Ring adapter. (I can open a
second bug report if needed.)

Reading http://www.linuxtr.net there have been critical ibmtr, ibmtr_cs, and
olympic patches for 2.4.x kernels. Can these be applied to the Red Hat RC2
builds? Current testing of qa0401 seems to show these are not yet applied.
Comment 2 Scott Russell 2001-04-04 22:35:52 EDT
Downloading qa0404 now. Is it worth retesting any of the above adapters under this new build? It appears as if the kernel version has not changed any 
from qa0401.
Comment 3 Arjan van de Ven 2001-04-18 08:41:45 EDT
Believed fixed in final. Please reopen if this is not the case.
Comment 4 Scott Russell 2001-04-18 23:01:09 EDT
Confirmed resolve in 2.4.2-2 kernel from 7.1. No testing has been done with 7.1 
2.4.3 test errata kernel yet. 

Possible problem with ibmtr_cs / ibmtr when using dhcp (pump). I need to narrow 
it down before I report it though, could have been a network issue. Thanks for 
the work, I'll open a new bug report as needed.

Note You need to log in before you can comment on or make changes to this bug.